Summary:	Program to send (Nagios) alerts via jabber
Summary(pl.UTF-8):	Program do wysyłania alarmów (Nagiosa) przez jabbera
Name:		nagios-alert-jabber
Version:	1.2
Release:	8
License:	GPL
Group:		Networking
Source0:	nagios-jabber.alert
Requires:	cyrus-sasl-plain
Requires:	nagios-common
Requires:	python-M2Crypto
Requires:	python-pyxmpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios

%description
nagios-jabber.alert is a program to send Nagios (or other)
notifications over jabber protocol.

%description -l pl.UTF-8
nagios-jabber.alert to program do wysyłania powiadomień Nagiosa (lub
innych) po protokole jabber.

%prep
%setup -q -c -T
install %{SOURCE0} .
cat <<'EOF' > jabber-notify.ini
; jabber id and password for jabber-notify script
[jabber_id@example.org]
jid = jid@example.org
password = PASSWORD
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}}
install nagios-jabber.alert $RPM_BUILD_ROOT%{_sbindir}/nagios-notify-jabber
cp -a jabber-notify.ini $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber-notify.ini
%attr(755,root,root) %{_sbindir}/nagios-notify-jabber
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-alert-jabber.git;a=log;h=master

* Tue Nov 27 2012 Mariusz Mazur <mmazur@pld-linux.org> 257cdec
- rel 8; try a second send if there's a resource name conflict

* Fri Jun 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ae84477
- set the same thread for all messages

* Fri Jun 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dc1c19
- rel 7; use different resource for each script (in case when script is called twice at the same time

* Tue Feb 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cf8826
- rel 6; configurable timeout and lowered to 20s

* Tue Feb 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c49eec1
- rel 5; 60s as default timeout

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cfa635
- rel 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b6621e5
- added support for fallback between multiple source accounts

* Sun Sep 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eca05a2
- debugging fixes

* Sun Sep 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f985e68
- add -d for debugging

* Sun Aug 24 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a28c1e4
- recpt is a list

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 1c11196
- release 3

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 852a708
- release 2

* Tue Apr 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ccfe18
- Warn about missing message body.

* Tue Mar 06 2007 Elan Ruusamäe <glen@pld-linux.org> 071905a
- changelog ordered by date

* Tue Mar 06 2007 luzik <luzik@pld-linux.org> a79c504
- new version (added digest auth method)

* Tue Mar 06 2007 luzik <luzik@pld-linux.org> 0dea86c
- added digest auth method(jabber.gda.pl)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d22ed02
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a3b35eb
- converted to UTF-8

* Thu Dec 07 2006 Elan Ruusamäe <glen@pld-linux.org> b538c51
- embed html into <body> document to discard extra lines in Kopete

* Thu Dec 07 2006 Elan Ruusamäe <glen@pld-linux.org> 67d5087
- embed html body in <p> tag for libxml2 for html mode

